@import "variables";
@import "mixins";

@font-face {
  font-family: Poppins-Light;
  src: url('~src/assets/fonts/poppins/Poppins-Light.ttf');
}

@font-face {
  font-family: Poppins-Regular;
  src: url('~src/assets/fonts/poppins/Poppins-Regular.ttf');
}

@font-face {
  font-family: Poppins-Medium;
  src: url('~src/assets/fonts/poppins/Poppins-Medium.ttf');
}

@font-face {
  font-family: Poppins-Bold;
  src: url('~src/assets/fonts/poppins/Poppins-Bold.ttf');
}

@font-face {
  font-family: Poppins-SemiBold;
  src: url('~src/assets/fonts/poppins/Poppins-SemiBold.ttf');
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100%;
  font-family: Poppins-Regular, sans-serif;
}

.primary-color {
  color: $primary-color !important;
}

.accent-color {
  color: $accent-color !important;
}

.warn-color {
  color: $warn-color !important;
}

.primary-background {
  background-color: $primary-color !important;
  color: white;
}

.accent-background {
  background-color: $accent-color !important;
  color: white;
}

.accent-background {
  background-color: $warn-color !important;
  color: white;
}

.pointer {
  cursor: pointer;
}

.default {
  cursor: default !important;
}

button.mat-menu-item {
  font-family: Poppins-Light, sans-serif;
  fa-icon {
    color: #757575;
  }
}
